Debian 7.0 armv5

Here you can download various images for dreamplug:

http://www.downloadsnewit.co.uk/SD-images/Dreamplug/


apt-get install build-essential subversion libvorbis-dev libpcap-dev apache2 php5-mysql php5-gd mysql-server unixodbc-dev libapache2-mod-php5 php5-gd php5-mysql php5 php5-cli apache2 libapache2-mod-php5 tshark mtr mysql-server php5-mcrypt librsvg2-bin libmysqlclient-dev libsnappy-dev gcc-4.7 g++-4.7

Because our current ioncube loader does not support php 5.4 you need to downgrade the php 5.3 first

echo "deb http://ftp.debian.org/debian/ squeeze main contrib non-free" >> /etc/apt/sources.list 
echo "deb http://security.debian.org/ squeeze/updates main contrib non-free" >> /etc/apt/sources.list
wget http://www.voipmonitor.org/downloads/debian/php53/preferences -O /etc/apt/preferences.d/preferences
PHP=$(dpkg -l|grep php|grep 5.4.4|awk '{print $2}') 
apt-get update 
apt-get install --reinstall $PHP
rm /usr/bin/gcc
rm /usr/bin/g++
ln -s /usr/bin/gcc-4.7 /usr/bin/gcc
ln -s /usr/bin/g++-4.7 /usr/bin/g++
cd /usr/src/
svn co http://svn.code.sf.net/p/voipmonitor/code/trunk voipmonitor-svn
cd voipmonitor-svn
cp Makefile.in Makefile
make armv5shared
make install
cp config/voipmonitor.conf /etc/
cp config/init.d/voipmonitor /etc/init.d/
update-rc.d voipmonitor defaults
/etc/init.d/voipmonitor start
mysqladmin create voipmonitor
cd /var/www
wget "http://www.voipmonitor.org/download-gui?version=latest&major=5&phpver=53&arm=1&festry" -O w.tar.gz
tar xzf w.tar.gz 
mv voipmonitor-gui*/* ./ 
rm index.html 
mkdir /var/spool/voipmonitor/ 
chown www-data /var/spool/voipmonitor/ 
touch "/var/www/bin/wkhtmltopdf-armv5tel" 
chmod +x "/var/www/bin/wkhtmltopdf-armv5tel" 
touch /var/www/bin/wkhtmltoimage-armv5tel
chmod +x /var/www/bin/wkhtmltoimage-armv5tel
wget http://www.voipmonitor.org/downloads/arm/ioncube_loader.so -O /usr/lib/php5/20100525+lfs/ioncube_loader.so
echo "zend_extension = /usr/lib/php5/20100525+lfs/ioncube_loader.so" > /etc/php5/apache2/conf.d/ioncube.ini
/etc/init.d/apache2 restart